Update engine openstack stack to adapt SOF
This change introduces openstack stack for engine in order to package,
deploy, and test stacks independently from engine core.
Checklist:
- [X] Move packaging functionality from installer to stack
- [X] Enable online deployment with scenarios
- [X] Enable offline deployment with scenarios
- [X] Move scenarios from respective installer to stack
- [X] Move scenario and common pre/post Install operations from respective installer to stack
Depends-On: I13a8a066932b74fab8da7c4c19a78c7fded098bd
Signed-off-by: eprasad <prasad.mukhedkar@est.tech>
Change-Id: Ia0bb0b386faf17aad76dc65224aba597e0d82ead
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..d5f1b8d
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,71 @@
+#!/bin/bash
+# ============LICENSE_START=======================================================
+# Copyright (C) 2019 The Nordix Foundation. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+#-------------------------------------------------------------------------------
+# Find and set where we are
+#-------------------------------------------------------------------------------
+STACK_ROOT_DIR="$(dirname "$(realpath "${BASH_SOURCE[0]}")")"
+export STACK_ROOT_DIR
+
+#-------------------------------------------------------------------------------
+# Bootstrap stack software configuration
+#-------------------------------------------------------------------------------
+echo "Info : Bootstrap stack software configuration"
+echo "-------------------------------------------------------------------------"
+cd "${ENGINE_PATH}"
+ansible-playbook "${ENGINE_ANSIBLE_PARAMS[@]}" \
+ -i "${ENGINE_PATH}/engine/inventory/localhost.ini" \
+ "${STACK_ROOT_DIR}/playbooks/bootstrap-swconfig.yaml"
+echo "-------------------------------------------------------------------------"
+
+#-------------------------------------------------------------------------------
+# Provision nodes using the selected provisioning tool
+#-------------------------------------------------------------------------------
+# NOTE: shellcheck SC1090 is disabled since the script becomes available during runtime
+# shellcheck disable=SC1090
+source "${ENGINE_PATH}/engine/provisioner/provision.sh"
+
+#-------------------------------------------------------------------------------
+# Provision local apt repo, docker registry, and ntp server services
+#-------------------------------------------------------------------------------
+# NOTE: shellcheck SC1090 is disabled since the script becomes available during runtime
+# shellcheck disable=SC1090
+source "${ENGINE_PATH}/engine/library/engine-services.sh"
+
+#-------------------------------------------------------------------------------
+# Prepare artifacts for offline deployment
+#-------------------------------------------------------------------------------
+cd "${ENGINE_PATH}"
+ansible-playbook "${ENGINE_ANSIBLE_PARAMS[@]}" \
+ -i "${ENGINE_PATH}/engine/inventory/inventory.ini" \
+ "${STACK_ROOT_DIR}/playbooks/prepare-artifacts.yaml"
+echo "-------------------------------------------------------------------------"
+
+#-------------------------------------------------------------------------------
+# Install the stack using the selected installer
+#-------------------------------------------------------------------------------
+# NOTE: shellcheck SC1090 is disabled since the script becomes available during runtime
+# shellcheck disable=SC1090
+source "${ENGINE_PATH}/engine/installer/install.sh"
+
+# vim: set ts=2 sw=2 expandtab: